## org.eclipse.xsd.impl
Class XSDDiagnosticImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.xsd.impl.XSDConcreteComponentImpl
                      org.eclipse.xsd.impl.XSDDiagnosticImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, Resource.Diagnostic, XSDConcreteComponent, XSDDiagnostic

    public class XSDDiagnosticImpl

extends XSDConcreteComponentImpl
implements XSDDiagnostic

An implementation of the model object 'Diagnostic'.

The following features are implemented:

- `Severity`
- `Message`
- `Location URI`
- `Line`
- `Column`
- `Node`
- `Annotation URI`
- `Key`
- `Substitutions`
- `Components`
- `Primary Component`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`XSDConcreteComponentImpl.XSDContentsEList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `ANNOTATION_URI_EDEFAULT` The default value of the '`Annotation URI`' attribute
`protected java.lang.String` `annotationURI` The cached value of the '`Annotation URI`' attribute
`protected int` `column` The cached value of the '`Column`' attribute
`protected static int` `COLUMN_EDEFAULT` The default value of the '`Column`' attribute
`protected EList<XSDConcreteComponent>` `components` The cached value of the '`Components`' reference list
`protected java.lang.String` `key` The cached value of the '`Key`' attribute
`protected static java.lang.String` `KEY_EDEFAULT` The default value of the '`Key`' attribute
`protected int` `line` The cached value of the '`Line`' attribute
`protected static int` `LINE_EDEFAULT` The default value of the '`Line`' attribute
`protected static java.lang.String` `LOCATION_URI_EDEFAULT` The default value of the '`Location URI`' attribute
`protected java.lang.String` `locationURI` The cached value of the '`Location URI`' attribute
`protected java.lang.String` `message` The cached value of the '`Message`' attribute
`protected static java.lang.String` `MESSAGE_EDEFAULT` The default value of the '`Message`' attribute
`protected org.w3c.dom.Node` `node` The cached value of the '`Node`' attribute
`protected static org.w3c.dom.Node` `NODE_EDEFAULT` The default value of the '`Node`' attribute
`protected static XSDDiagnosticSeverity` `SEVERITY_EDEFAULT` The default value of the '`Severity`' attribute
`protected static int` `SEVERITY_EFLAG` The flags representing the value of the '`Severity`' attribute
`protected static int` `SEVERITY_EFLAG_DEFAULT` The flags representing the default value of the '`Severity`' attribute
`protected static int` `SEVERITY_EFLAG_OFFSET` The offset of the flags representing the value of the '`Severity`' attribute
`protected EList<java.lang.String>` `substitutions` The cached value of the '`Substitutions`' attribute list

Fields inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`ANALYZED, ANALYZING, CIRCULAR, diagnostics, element, ELEMENT_EDEFAULT, ERROR, FATAL, forceResolve, INFORMATION, isReconciling, UNANALYZED, updatingDOM, WARNING, xsdContents`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.xsd.XSDDiagnostic
`MARKER, URI_FRAGMENT_ATTRIBUTE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `XSDDiagnosticImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getAnnotationURI()`
`int` `getColumn()` Returns the value of the 'Column' attribute.
`int` `getColumnGen()`
`EList<XSDConcreteComponent>` `getComponents()`
`java.lang.String` `getKey()`
`int` `getLine()` Returns the value of the 'Line' attribute.
`int` `getLineGen()`
`java.lang.String` `getLocation()`
`java.lang.String` `getLocationURI()` Returns the value of the 'Location URI' attribute
`java.lang.String` `getLocationURIGen()`
`java.lang.String` `getMessage()`
`org.w3c.dom.Node` `getNode()`
`XSDConcreteComponent` `getPrimaryComponent()`
`XSDDiagnosticSeverity` `getSeverity()`
`EList<java.lang.String>` `getSubstitutions()`
`boolean` `isSetPrimaryComponent()`
`void` `setAnnotationURI(java.lang.String newAnnotationURI)`
`void` `setColumn(int newColumn)`
`void` `setKey(java.lang.String newKey)`
`void` `setLine(int newLine)`
`void` `setLocationURI(java.lang.String newLocationURI)`
`void` `setMessage(java.lang.String newMessage)`
`void` `setNode(org.w3c.dom.Node newNode)`
`void` `setPrimaryComponent(XSDConcreteComponent primaryComponent)`
`void` `setSeverity(XSDDiagnosticSeverity newSeverity)`
`java.lang.String` `toString()`
`void` `unsetPrimaryComponent()`

Methods inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl

`adoptBy, adoptContent, adoptDiagnostic, analyze, changeAttribute, changeReference, checkAttributes, checkAttributeTypeConstraint, checkAttributeTypeConstraint, checkBuiltInTypeConstraint, checkComplexContent, checkComplexContent, checkElementComplexContent, checkSimpleTypeConstraint, clearDiagnostics, cloneConcreteComponent, cloneConcreteComponents, considerAllContainsForBestConcreteComponent, contains, convertToBoolean, createDiagnostic, createDiagnostic, createDiagnostic, createDiagnostic, createElement, createElement, createRequiredAttributeDiagnostic, createUnresolvedAttributeDeclaration, createUnresolvedAttributeGroupDefinition, createUnresolvedComplexTypeDefinition, createUnresolvedElementDeclaration, createUnresolvedIdentityConstraintDefinition, createUnresolvedModelGroupDefinition, createUnresolvedNotationDeclaration, createUnresolvedSimpleTypeDefinition, createUnresolvedTypeDefinition, eInverseRemove, elementAttributesChanged, elementChanged, elementContentsChanged, eNotificationRequired, eNotify, eObjectForURIFragmentSegment, eURIFragmentSegment, forceEngulf, forceEngulf, forceNiceInsertBefore, forceNiceRemoveChild, forceReplace, getAdoptionParentNode, getBestConcreteComponent, getComponentsWithApplicationInformation, getComponentsWithInformation, getComponentsWithUserInformation, getContainer, getContentNodes, getDiagnostics, getDiagnosticTarget, getElement, getRootContainer, getSchema, getURIReferenceLabel, getXSDConcreteComponentImpls, getXSDContents, getXSDFactory, getXSDPackage, handleAnnotationReconciliation, handleElementForAdopt, handleReconciliation, handleUnreconciledElement, isUpdatingDOM, moveContent, niceCreateNamespaceAttribute, niceInsertBefore, niceRemoveChild, niceSetAttribute, niceSetAttributeURIValue, orphanBy, orphanContent, orphanDiagnostic, patch, populateDiagnostic, printDFA, reconcile, reconcileAttributes, reconcileContents, reportConstraintViolation, reset, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, setElementGen, setListContentAndOrder, traverseToRootForAnalysis, traverseToRootForPatching, updateElement, updateElement, updatePrefix, validate`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### SEVERITY_EDEFAULT

    protected static final XSDDiagnosticSeverity SEVERITY_EDEFAULT

  The default value of the '`Severity`' attribute.

  See Also:
    `getSeverity()`

### SEVERITY_EFLAG_OFFSET

    protected static final int SEVERITY_EFLAG_OFFSET

  The offset of the flags representing the value of the '`Severity`' attribute.

  See Also:
    Constant Field Values

### SEVERITY_EFLAG_DEFAULT

    protected static final int SEVERITY_EFLAG_DEFAULT

  The flags representing the default value of the '`Severity`' attribute.

### SEVERITY_EFLAG

    protected static final int SEVERITY_EFLAG

  The flags representing the value of the '`Severity`' attribute.

  See Also:
    `getSeverity()`, Constant Field Values

### MESSAGE_EDEFAULT

    protected static final java.lang.String MESSAGE_EDEFAULT

  The default value of the '`Message`' attribute.

  See Also:
    `getMessage()`

### message

    protected java.lang.String message

  The cached value of the '`Message`' attribute.

  See Also:
    `getMessage()`

### LOCATION_URI_EDEFAULT

    protected static final java.lang.String LOCATION_URI_EDEFAULT

  The default value of the '`Location URI`' attribute.

  See Also:
    `getLocationURI()`

### locationURI

    protected java.lang.String locationURI

  The cached value of the '`Location URI`' attribute.

  See Also:
    `getLocationURI()`

### LINE_EDEFAULT

    protected static final int LINE_EDEFAULT

  The default value of the '`Line`' attribute.

  See Also:
    `getLine()`, Constant Field Values

### line

    protected int line

  The cached value of the '`Line`' attribute.

  See Also:
    `getLine()`

### COLUMN_EDEFAULT

    protected static final int COLUMN_EDEFAULT

  The default value of the '`Column`' attribute.

  See Also:
    `getColumn()`, Constant Field Values

### column

    protected int column

  The cached value of the '`Column`' attribute.

  See Also:
    `getColumn()`

### NODE_EDEFAULT

    protected static final org.w3c.dom.Node NODE_EDEFAULT

  The default value of the '`Node`' attribute.

  See Also:
    `getNode()`

### node

    protected org.w3c.dom.Node node

  The cached value of the '`Node`' attribute.

  See Also:
    `getNode()`

### ANNOTATION_URI_EDEFAULT

    protected static final java.lang.String ANNOTATION_URI_EDEFAULT

  The default value of the '`Annotation URI`' attribute.

  See Also:
    `getAnnotationURI()`

### annotationURI

    protected java.lang.String annotationURI

  The cached value of the '`Annotation URI`' attribute.

  See Also:
    `getAnnotationURI()`

### KEY_EDEFAULT

    protected static final java.lang.String KEY_EDEFAULT

  The default value of the '`Key`' attribute.

  See Also:
    `getKey()`

### key

    protected java.lang.String key

  The cached value of the '`Key`' attribute.

  See Also:
    `getKey()`

### substitutions

    protected EList<java.lang.String> substitutions

  The cached value of the '`Substitutions`' attribute list.

  See Also:
    `getSubstitutions()`

### components

    protected EList<XSDConcreteComponent> components

  The cached value of the '`Components`' reference list.

  See Also:
    `getComponents()`

Constructor Detail

### XSDDiagnosticImpl

    protected XSDDiagnosticImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `XSDConcreteComponentImpl`

### getSeverity

    public XSDDiagnosticSeverity getSeverity()

  Specified by:
    `getSeverity` in interface `XSDDiagnostic`
  Returns:
    the value of the 'Severity' attribute.
  See Also:
    `XSDDiagnosticSeverity`, `XSDDiagnostic.setSeverity(XSDDiagnosticSeverity)`, `XSDPackage.getXSDDiagnostic_Severity()`

### setSeverity

    public void setSeverity(XSDDiagnosticSeverity newSeverity)

  Specified by:
    `setSeverity` in interface `XSDDiagnostic`
  Parameters:
    `newSeverity` - the new value of the 'Severity' attribute.
  See Also:
    `XSDDiagnosticSeverity`, `XSDDiagnostic.getSeverity()`

### getMessage

    public java.lang.String getMessage()

  Specified by:
    `getMessage` in interface `Resource.Diagnostic`
  Specified by:
    `getMessage` in interface `XSDDiagnostic`
  Returns:
    the value of the 'Message' attribute.
  See Also:
    `XSDDiagnostic.setMessage(String)`, `XSDPackage.getXSDDiagnostic_Message()`

### setMessage

    public void setMessage(java.lang.String newMessage)

  Specified by:
    `setMessage` in interface `XSDDiagnostic`
  Parameters:
    `newMessage` - the new value of the 'Message' attribute.
  See Also:
    `XSDDiagnostic.getMessage()`

### getLocation

    public java.lang.String getLocation()

  Specified by:
    `getLocation` in interface `Resource.Diagnostic`

### getLocationURIGen

    public java.lang.String getLocationURIGen()

### getLocationURI

    public java.lang.String getLocationURI()

  Description copied from interface: `XSDDiagnostic`
  Returns the value of the 'Location URI' attribute.

  This indicates the URI of the resource containing the problem.

  Specified by:
    `getLocationURI` in interface `XSDDiagnostic`
  Returns:
    the value of the 'Location URI' attribute.
  See Also:
    `XSDDiagnostic.setLocationURI(String)`, `XSDPackage.getXSDDiagnostic_LocationURI()`

### setLocationURI

    public void setLocationURI(java.lang.String newLocationURI)

  Specified by:
    `setLocationURI` in interface `XSDDiagnostic`
  Parameters:
    `newLocationURI` - the new value of the 'Location URI' attribute.
  See Also:
    `XSDDiagnostic.getLocationURI()`

### getLineGen

    public int getLineGen()

### getLine

    public int getLine()

  Description copied from interface: `XSDDiagnostic`
  Returns the value of the 'Line' attribute. The default value is `"1"`.

  This indicates the line number within the resource containing the problem.

  Specified by:
    `getLine` in interface `Resource.Diagnostic`
  Specified by:
    `getLine` in interface `XSDDiagnostic`
  Returns:
    the value of the 'Line' attribute.
  See Also:
    `XSDDiagnostic.setLine(int)`, `XSDPackage.getXSDDiagnostic_Line()`

### setLine

    public void setLine(int newLine)

  Specified by:
    `setLine` in interface `XSDDiagnostic`
  Parameters:
    `newLine` - the new value of the 'Line' attribute.
  See Also:
    `XSDDiagnostic.getLine()`

### getColumnGen

    public int getColumnGen()

### getColumn

    public int getColumn()

  Description copied from interface: `XSDDiagnostic`
  Returns the value of the 'Column' attribute. The default value is `"1"`.

  This indicates the column number within the line of the resource containing the problem.

  Specified by:
    `getColumn` in interface `Resource.Diagnostic`
  Specified by:
    `getColumn` in interface `XSDDiagnostic`
  Returns:
    the value of the 'Column' attribute.
  See Also:
    `XSDDiagnostic.setColumn(int)`, `XSDPackage.getXSDDiagnostic_Column()`

### setColumn

    public void setColumn(int newColumn)

  Specified by:
    `setColumn` in interface `XSDDiagnostic`
  Parameters:
    `newColumn` - the new value of the 'Column' attribute.
  See Also:
    `XSDDiagnostic.getColumn()`

### getNode

    public org.w3c.dom.Node getNode()

  Specified by:
    `getNode` in interface `XSDDiagnostic`
  Returns:
    the value of the 'Node' attribute.
  See Also:
    `XSDDiagnostic.setNode(Node)`, `XSDPackage.getXSDDiagnostic_Node()`

### setNode

    public void setNode(org.w3c.dom.Node newNode)

  Specified by:
    `setNode` in interface `XSDDiagnostic`
  Parameters:
    `newNode` - the new value of the 'Node' attribute.
  See Also:
    `XSDDiagnostic.getNode()`

### getAnnotationURI

    public java.lang.String getAnnotationURI()

  Specified by:
    `getAnnotationURI` in interface `XSDDiagnostic`
  Returns:
    the value of the 'Annotation URI' attribute.
  See Also:
    `XSDDiagnostic.setAnnotationURI(String)`, `XSDPackage.getXSDDiagnostic_AnnotationURI()`

### setAnnotationURI

    public void setAnnotationURI(java.lang.String newAnnotationURI)

  Specified by:
    `setAnnotationURI` in interface `XSDDiagnostic`
  Parameters:
    `newAnnotationURI` - the new value of the 'Annotation URI' attribute.
  See Also:
    `XSDDiagnostic.getAnnotationURI()`

### getKey

    public java.lang.String getKey()

  Specified by:
    `getKey` in interface `XSDDiagnostic`
  Returns:
    the value of the 'Key' attribute.
  See Also:
    `XSDDiagnostic.setKey(String)`, `XSDPackage.getXSDDiagnostic_Key()`

### setKey

    public void setKey(java.lang.String newKey)

  Specified by:
    `setKey` in interface `XSDDiagnostic`
  Parameters:
    `newKey` - the new value of the 'Key' attribute.
  See Also:
    `XSDDiagnostic.getKey()`

### getSubstitutions

    public EList<java.lang.String> getSubstitutions()

  Specified by:
    `getSubstitutions` in interface `XSDDiagnostic`
  Returns:
    the value of the 'Substitutions' attribute list.
  See Also:
    `XSDPackage.getXSDDiagnostic_Substitutions()`

### getComponents

    public EList<XSDConcreteComponent> getComponents()

  Specified by:
    `getComponents` in interface `XSDDiagnostic`
  Returns:
    the value of the 'Components' reference list.
  See Also:
    `XSDPackage.getXSDDiagnostic_Components()`

### getPrimaryComponent

    public XSDConcreteComponent getPrimaryComponent()

  Specified by:
    `getPrimaryComponent` in interface `XSDDiagnostic`
  Returns:
    the value of the 'Primary Component' reference.
  See Also:
    `XSDDiagnostic.setPrimaryComponent(XSDConcreteComponent)`, `XSDPackage.getXSDDiagnostic_PrimaryComponent()`

### setPrimaryComponent

    public void setPrimaryComponent(XSDConcreteComponent primaryComponent)

  Specified by:
    `setPrimaryComponent` in interface `XSDDiagnostic`
  Parameters:
    `primaryComponent` - the new value of the 'Primary Component' reference.
  See Also:
    `XSDDiagnostic.getPrimaryComponent()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `XSDConcreteComponentImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `XSDConcreteComponentImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `XSDConcreteComponentImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `XSDConcreteComponentImpl`

### unsetPrimaryComponent

    public void unsetPrimaryComponent()

### isSetPrimaryComponent

    public boolean isSetPrimaryComponent()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `XSDConcreteComponentImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.